import request from '@/utils/request'

// 查询MemberBalanceLog列表
export function listMemberBalanceLog(query) {
    return request({
        url: '/api/v1/member-balance-log',
        method: 'get',
        params: query
    })
}

// 查询MemberBalanceLog详细
export function getMemberBalanceLog (id) {
    return request({
        url: '/api/v1/member-balance-log/' + id,
        method: 'get'
    })
}


// 新增MemberBalanceLog
export function addMemberBalanceLog(data) {
    return request({
        url: '/api/v1/member-balance-log',
        method: 'post',
        data: data
    })
}

// 修改MemberBalanceLog
export function updateMemberBalanceLog(data) {
    return request({
        url: '/api/v1/member-balance-log/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除MemberBalanceLog
export function delMemberBalanceLog(data) {
    return request({
        url: '/api/v1/member-balance-log',
        method: 'delete',
        data: data
    })
}

